# Makefile.in generated by automake 1.9.5 from Makefile.am.
# test/acceptance/progs/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.


SOURCES = $(CIMOMLocator_SOURCES) $(aclTest_SOURCES) $(cimlistener_SOURCES) $(fakeclient_SOURCES) $(hammerClient_SOURCES) $(infiniteClient_SOURCES) $(owcimclientcl_SOURCES) $(socketCat_SOURCES) $(testCIMExceptions_SOURCES) $(testClientTimeout_SOURCES) $(testEmbeddedCIMOM_SOURCES) $(testLargeRequest_SOURCES) $(testMisc_SOURCES) $(testNamespaces_SOURCES) $(testProviderAgent_SOURCES) $(testSecondaryInstanceProviders_SOURCES) $(testinstprov_SOURCES) $(wqlTest1_SOURCES) $(wqlTest2_SOURCES)

srcdir = .
top_srcdir = ../../..

pkgdatadir = $(datadir)/openwbem
pkglibdir = $(libdir)/openwbem
pkgincludedir = $(includedir)/openwbem
top_builddir = ../../..
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /usr/bin/install -c -o pbulk -g users
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = armv6--netbsdelf-eabihf
host_triplet = armv6--netbsdelf-eabihf
check_PROGRAMS = $(am__EXEEXT_1) wqlTest1$(EXEEXT) wqlTest2$(EXEEXT) \
	CIMOMLocator$(EXEEXT) fakeclient$(EXEEXT) \
	infiniteClient$(EXEEXT) testProviderAgent$(EXEEXT) \
	socketCat$(EXEEXT)
subdir = test/acceptance/progs
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/acinclude.m4 \
	$(top_srcdir)/configure.in
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
am__EXEEXT_1 = owcimclientcl$(EXEEXT) \
	testCIMExceptions$(EXEEXT) \
	testinstprov$(EXEEXT) \
	aclTest$(EXEEXT) \
	cimlistener$(EXEEXT) \
	testNamespaces$(EXEEXT) \
	testMisc$(EXEEXT) \
	hammerClient$(EXEEXT) \
	testSecondaryInstanceProviders$(EXEEXT) \
	testLargeRequest$(EXEEXT) \
	testClientTimeout$(EXEEXT) \
	testEmbeddedCIMOM$(EXEEXT)
am_CIMOMLocator_OBJECTS = CIMOMLocator.$(OBJEXT)
CIMOMLocator_OBJECTS = $(am_CIMOMLocator_OBJECTS)
am__DEPENDENCIES_1 =
CIMOMLocator_DEPENDENCIES = $(am__DEPENDENCIES_1) \
	$(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1)
am_aclTest_OBJECTS = aclTest.$(OBJEXT)
aclTest_OBJECTS = $(am_aclTest_OBJECTS)
aclTest_DEPENDENCIES = $(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1) \
	$(am__DEPENDENCIES_1)
am_cimlistener_OBJECTS = cimListenerTest.$(OBJEXT)
cimlistener_OBJECTS = $(am_cimlistener_OBJECTS)
cimlistener_DEPENDENCIES = $(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1) \
	$(am__DEPENDENCIES_1)
am_fakeclient_OBJECTS = fakeClient.$(OBJEXT)
fakeclient_OBJECTS = $(am_fakeclient_OBJECTS)
fakeclient_DEPENDENCIES = $(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1) \
	$(am__DEPENDENCIES_1)
am_hammerClient_OBJECTS = hammerClient.$(OBJEXT)
hammerClient_OBJECTS = $(am_hammerClient_OBJECTS)
hammerClient_DEPENDENCIES = $(am__DEPENDENCIES_1) \
	$(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1)
am_infiniteClient_OBJECTS = InfiniteClient.$(OBJEXT)
infiniteClient_OBJECTS = $(am_infiniteClient_OBJECTS)
infiniteClient_DEPENDENCIES = $(am__DEPENDENCIES_1) \
	$(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1)
am_owcimclientcl_OBJECTS = OW_CIMClientCL.$(OBJEXT)
owcimclientcl_OBJECTS = $(am_owcimclientcl_OBJECTS)
owcimclientcl_DEPENDENCIES = $(am__DEPENDENCIES_1) \
	$(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1)
am_socketCat_OBJECTS = socketCat.$(OBJEXT)
socketCat_OBJECTS = $(am_socketCat_OBJECTS)
socketCat_DEPENDENCIES = $(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1) \
	$(am__DEPENDENCIES_1)
am_testCIMExceptions_OBJECTS = testCIMExceptions.$(OBJEXT)
testCIMExceptions_OBJECTS = $(am_testCIMExceptions_OBJECTS)
testCIMExceptions_DEPENDENCIES = $(am__DEPENDENCIES_1) \
	$(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1)
am_testClientTimeout_OBJECTS = testClientTimeout.$(OBJEXT)
testClientTimeout_OBJECTS = $(am_testClientTimeout_OBJECTS)
testClientTimeout_DEPENDENCIES = $(am__DEPENDENCIES_1) \
	$(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1)
am_testEmbeddedCIMOM_OBJECTS = testEmbeddedCIMOM.$(OBJEXT)
testEmbeddedCIMOM_OBJECTS = $(am_testEmbeddedCIMOM_OBJECTS)
testEmbeddedCIMOM_DEPENDENCIES = $(am__DEPENDENCIES_1) \
	$(am__DEPENDENCIES_1)
am_testLargeRequest_OBJECTS = testLargeRequest.$(OBJEXT)
testLargeRequest_OBJECTS = $(am_testLargeRequest_OBJECTS)
testLargeRequest_DEPENDENCIES = $(am__DEPENDENCIES_1) \
	$(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1)
am_testMisc_OBJECTS = testMisc.$(OBJEXT)
testMisc_OBJECTS = $(am_testMisc_OBJECTS)
testMisc_DEPENDENCIES = $(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1) \
	$(am__DEPENDENCIES_1)
am_testNamespaces_OBJECTS = testNamespaces.$(OBJEXT)
testNamespaces_OBJECTS = $(am_testNamespaces_OBJECTS)
testNamespaces_DEPENDENCIES = $(am__DEPENDENCIES_1) \
	$(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1)
am_testProviderAgent_OBJECTS = testProviderAgent.$(OBJEXT)
testProviderAgent_OBJECTS = $(am_testProviderAgent_OBJECTS)
testProviderAgent_DEPENDENCIES = $(am__DEPENDENCIES_1) \
	$(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1)
am_testSecondaryInstanceProviders_OBJECTS =  \
	testSecondaryInstanceProviders.$(OBJEXT)
testSecondaryInstanceProviders_OBJECTS =  \
	$(am_testSecondaryInstanceProviders_OBJECTS)
testSecondaryInstanceProviders_DEPENDENCIES = $(am__DEPENDENCIES_1) \
	$(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1)
am_testinstprov_OBJECTS = OW_InstProvTest.$(OBJEXT)
testinstprov_OBJECTS = $(am_testinstprov_OBJECTS)
testinstprov_DEPENDENCIES = $(am__DEPENDENCIES_1) \
	$(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1)
am_wqlTest1_OBJECTS = wqlTest1.$(OBJEXT)
wqlTest1_OBJECTS = $(am_wqlTest1_OBJECTS)
wqlTest1_DEPENDENCIES = $(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1) \
	$(am__DEPENDENCIES_1)
am_wqlTest2_OBJECTS = wqlTest2.$(OBJEXT)
wqlTest2_OBJECTS = $(am_wqlTest2_OBJECTS)
wqlTest2_DEPENDENCIES = $(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1)
DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
CXXLD = $(CXX)
SOURCES = $(CIMOMLocator_SOURCES) $(aclTest_SOURCES) \
	$(cimlistener_SOURCES) $(fakeclient_SOURCES) \
	$(hammerClient_SOURCES) $(infiniteClient_SOURCES) \
	$(owcimclientcl_SOURCES) $(socketCat_SOURCES) \
	$(testCIMExceptions_SOURCES) $(testClientTimeout_SOURCES) \
	$(testEmbeddedCIMOM_SOURCES) $(testLargeRequest_SOURCES) \
	$(testMisc_SOURCES) $(testNamespaces_SOURCES) \
	$(testProviderAgent_SOURCES) \
	$(testSecondaryInstanceProviders_SOURCES) \
	$(testinstprov_SOURCES) $(wqlTest1_SOURCES) \
	$(wqlTest2_SOURCES)
DIST_SOURCES = $(CIMOMLocator_SOURCES) $(aclTest_SOURCES) \
	$(cimlistener_SOURCES) $(fakeclient_SOURCES) \
	$(hammerClient_SOURCES) $(infiniteClient_SOURCES) \
	$(owcimclientcl_SOURCES) $(socketCat_SOURCES) \
	$(testCIMExceptions_SOURCES) $(testClientTimeout_SOURCES) \
	$(testEmbeddedCIMOM_SOURCES) $(testLargeRequest_SOURCES) \
	$(testMisc_SOURCES) $(testNamespaces_SOURCES) \
	$(testProviderAgent_SOURCES) \
	$(testSecondaryInstanceProviders_SOURCES) \
	$(testinstprov_SOURCES) $(wqlTest1_SOURCES) \
	$(wqlTest2_SOURCES)
RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
	html-recursive info-recursive install-data-recursive \
	install-exec-recursive install-info-recursive \
	install-recursive installcheck-recursive installdirs-recursive \
	pdf-recursive ps-recursive uninstall-info-recursive \
	uninstall-recursive
ETAGS = etags
CTAGS = ctags
DIST_SUBDIRS = $(SUBDIRS)
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /tmp/pkgbuild/net/openwbem/work.earmv6hf/openwbem-3.2.2/missing --run aclocal-1.9
AIX = 
AMDEP_FALSE = #
AMDEP_TRUE = 
AMTAR = ${SHELL} /tmp/pkgbuild/net/openwbem/work.earmv6hf/openwbem-3.2.2/missing --run tar
AR = $(shell pwd)/$(top_srcdir)/ow_ar.sh /usr/bin/ar --
AUTOCONF = ${SHELL} /tmp/pkgbuild/net/openwbem/work.earmv6hf/openwbem-3.2.2/missing --run autoconf
AUTOHEADER = ${SHELL} /tmp/pkgbuild/net/openwbem/work.earmv6hf/openwbem-3.2.2/missing --run autoheader
AUTOMAKE = ${SHELL} /tmp/pkgbuild/net/openwbem/work.earmv6hf/openwbem-3.2.2/missing --run automake-1.9
AWK = /usr/bin/awk
BINLINKAPPENDFLAGS = 
CBINLINKFLAGS =    -L/usr/lib -Wl,-R/usr/lib -Wl,-R/usr/pkg/lib -L/usr/pkg/lib
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -O2 -D_FORTIFY_SOURCE=2 -I/usr/include -fPIC -D_REENTRANT -pipe -pthread -D_POSIX_PTHREAD_SEMANTICS -DNDEBUG -O3 -fno-web
CLINK = gcc
CPP = gcc -E
CPPFLAGS = -I/usr/include -I/usr/pkg/include
CURRENT_LINK_MODE_FLAGS = 
CXX = c++
CXXBINLINKFLAGS = -pthread  -Wl,-Bdynamic -Wl,-E -L/usr/lib -Wl,-R/usr/lib -Wl,-R/usr/pkg/lib  -L/usr/lib -Wl,-R/usr/lib -Wl,-R/usr/pkg/lib -L/usr/pkg/lib
CXXBUNDLELIBLINKFLAGS = 
CXXCPP = c++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -fno-enforce-eh-specs -O2 -D_FORTIFY_SOURCE=2 -I/usr/include -fPIC -D_REENTRANT -pipe -pthread -D_POSIX_PTHREAD_SEMANTICS -DNDEBUG -O3
CXXLINK = c++
CXXSHAREDLIBLINKFLAGS = -pthread -shared -fPIC -Wl,-soname -Wl,$@.$(LIBRARY_BINARY_VERSION) -L/usr/lib -Wl,-R/usr/lib -Wl,-R/usr/pkg/lib -L/usr/pkg/lib
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DISABLE_ASSOCIATION_TRAVERSAL_FALSE = 
DISABLE_ASSOCIATION_TRAVERSAL_TRUE = #
DISABLE_DIGEST_FALSE = 
DISABLE_DIGEST_TRUE = #
DISABLE_INSTANCE_MANIPULATION_FALSE = 
DISABLE_INSTANCE_MANIPULATION_TRUE = #
DISABLE_NAMESPACE_MANIPULATION_FALSE = 
DISABLE_NAMESPACE_MANIPULATION_TRUE = #
DISABLE_PROPERTY_OPERATIONS_FALSE = 
DISABLE_PROPERTY_OPERATIONS_TRUE = #
DISABLE_QUALIFIER_DECLARATION_FALSE = 
DISABLE_QUALIFIER_DECLARATION_TRUE = #
DISABLE_SCHEMA_MANIPULATION_FALSE = 
DISABLE_SCHEMA_MANIPULATION_TRUE = #
DL_LIB = 
DYNAMIC_EXPORT_FLAG = 
DYNAMIC_LINK_FLAGS = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = grep -E
ENABLE_CMPI_FALSE = #
ENABLE_CMPI_TRUE = 
ENABLE_DB4_REPOSITORY_FALSE = 
ENABLE_DB4_REPOSITORY_TRUE = #
EXEEXT = 
FALSE_PATHNAME = false
HAVE_FLEX_FALSE = #
HAVE_FLEX_TRUE = 
HAVE_PERL_EMBED_FALSE = 
HAVE_PERL_EMBED_TRUE = #
HAVE_SLP_FALSE = 
HAVE_SLP_TRUE = #
INSTALL_DATA = /usr/bin/install -c -o pbulk -g users -m 644
INSTALL_PROGRAM = /usr/bin/install -c -s -o pbulk -g users -m 755
INSTALL_SCRIPT = /usr/bin/install -c -o pbulk -g users -m 755
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
LDFLAGS = -L/usr/lib -Wl,-R/usr/lib -Wl,-R/usr/pkg/lib -L/usr/pkg/lib
LEX = flex
LEXLIB = -lfl
LEX_OUTPUT_ROOT = lex.yy
LIBOBJS = 
LIBS = 
LIB_EXT = so
LTLIBOBJS = 
MAINT = #
MAINTAINER_MODE_FALSE = 
MAINTAINER_MODE_TRUE = #
MAKEINFO = /tmp/pkgbuild/net/openwbem/work.earmv6hf/.tools/bin/makeinfo
MV = /bin/mv
OBJEXT = o
OPENWBEM_LIBRARY_VERSION = 4
OPENWBEM_MAJOR_VERSION = 3
OPENWBEM_MICRO_VERSION = 2
OPENWBEM_MINOR_VERSION = 2
OPENWBEM_VERSION = 3.2.2
OW_NETWARE_INSTALL_FALSE = 
OW_NETWARE_INSTALL_TRUE = #
OW_STATIC_LINKING_FALSE = 
OW_STATIC_LINKING_TRUE = #
PACKAGE = openwbem
PACKAGE_BUGREPORT = openwbem-public@lists.sourceforge.net
PACKAGE_NAME = OpenWBEM
PACKAGE_PREFIX = 
PACKAGE_PREFIX_D = 
PACKAGE_STRING = OpenWBEM 3.2.2
PACKAGE_TARNAME = openwbem
PACKAGE_VERSION = 3.2.2
PAM_LIB = -lpam
PATH_SEPARATOR = :
PERL = /tmp/pkgbuild/net/openwbem/work.earmv6hf/.tools/bin/perl
PIDFILE_DIR = /var/run
RANLIB = ranlib
RM = /bin/rm
SED = /usr/bin/sed
SET_MAKE = 
SHELL = /bin/sh
SLP_LIB = 
SSL_LIBS = -lssl -lcrypto
STATIC_LINK_FLAGS = 
STATIC_SERVICES = 
STRIP = 
TRUE_PATHNAME = true
USE_AIX_AUTHENTICATE_FALSE = 
USE_AIX_AUTHENTICATE_TRUE = #
USE_PAM_FALSE = #
USE_PAM_TRUE = 
VERSION = 3.2.2
YACC = yacc
Z_LIBS = -lz
ac_ct_CC = 
ac_ct_CXX = 
ac_ct_RANLIB = ranlib
ac_ct_STRIP = 
am__fastdepCC_FALSE = #
am__fastdepCC_TRUE = 
am__fastdepCXX_FALSE = #
am__fastdepCXX_TRUE = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = tar --format=ustar -chf - "$$tardir"
am__untar = tar -xf -
bindir = ${exec_prefix}/bin
build = armv6--netbsdelf-eabihf
build_alias = armv6--netbsdelf-eabihf
build_cpu = armv6
build_os = netbsdelf-eabihf
build_vendor = 
datadir = ${prefix}/share
exec_prefix = ${prefix}
host = armv6--netbsdelf-eabihf
host_alias = armv6--netbsdelf-eabihf
host_cpu = armv6
host_os = netbsdelf-eabihf
host_vendor = 
includedir = ${prefix}/include
infodir = ${prefix}/info
install_sh = /tmp/pkgbuild/net/openwbem/work.earmv6hf/openwbem-3.2.2/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localstatedir = ${prefix}/var
mandir = /usr/pkg/man
mkdir_p = $(install_sh) -d
oldincludedir = /usr/include
perl_archlibexp = 
perl_embed_ccflags = 
perl_embed_ldflags = 
perl_privlibexp = 
perl_useshrplib = 
prefix = /usr/pkg
program_transform_name = s,x,x,
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
sysconfdir = ${prefix}/etc
target_alias = 
SUBDIRS = 
PROGS = \
owcimclientcl \
testCIMExceptions \
testinstprov \
aclTest \
cimlistener \
testNamespaces \
testMisc \
hammerClient \
testSecondaryInstanceProviders \
testLargeRequest \
testClientTimeout \
testEmbeddedCIMOM

#PROGS = 
#PROGS = 
#PROGS = 
#PROGS = 
#PROGS = 
#PROGS = 
testProviderAgent_SOURCES = \
testProviderAgent.cpp

testProviderAgent_LDADD = \
-L$(top_builddir)/src/provideragent -lowprovideragent \
-L$(top_builddir)/src/requesthandlers/cimxml -lowrequesthandlercimxml \
-L$(top_builddir)/src/providerifcs/cpp -lowcppprovifc \
-L$(top_builddir)/src/services/http -lowservicehttp \
-L$(top_builddir)/src/http/common -lowhttpcommon \
-L$(top_builddir)/src/provider -lowprovider \
-L$(top_builddir)/src/client -lowclient \
-L$(top_builddir)/src/http/client -lowhttpclient \
-L$(top_builddir)/src/xml -lowxml \
-L$(top_builddir)/src/common -lopenwbem \
$(SSL_LIBS) $(Z_LIBS) \
$(BINLINKAPPENDFLAGS)

testProviderAgent_LDFLAGS = \
$(CXXBINLINKFLAGS) \
-o testProviderAgent$(EXEEXT)


#CIMOMLocator
CIMOMLocator_LDFLAGS = \
$(CXXBINLINKFLAGS) \
-o CIMOMLocator$(EXEEXT)

CIMOMLocator_LDADD = \
-L$(top_builddir)/src/xml -lowxml \
-L$(top_builddir)/src/client -lowclient \
-L$(top_builddir)/src/http/common -lowhttpcommon \
-L$(top_builddir)/src/http/client -lowhttpclient \
-L$(top_builddir)/src/common -lopenwbem \
$(SSL_LIBS) $(Z_LIBS) \
$(BINLINKAPPENDFLAGS)

CIMOMLocator_SOURCES = \
CIMOMLocator.cpp


#cimlistener
cimlistener_LDFLAGS = \
$(CXXBINLINKFLAGS) \
-o cimlistener$(EXEEXT)

cimlistener_LDADD = \
-L$(top_builddir)/src/client -lowclient \
-L$(top_builddir)/src/cimxmllistener -lowhttpxmllistener \
-L$(top_builddir)/src/xml -lowxml \
-L$(top_builddir)/src/http/client -lowhttpclient \
-L$(top_builddir)/src/http/common -lowhttpcommon \
-L$(top_builddir)/src/services/http -lowservicehttp \
-L$(top_builddir)/src/common -lopenwbem \
$(SSL_LIBS) $(Z_LIBS) \
$(BINLINKAPPENDFLAGS)

cimlistener_SOURCES = \
cimListenerTest.cpp


#wqlTest1
wqlTest1_LDADD = \
-L$(top_builddir)/src/client -lowclient \
-L$(top_builddir)/src/xml -lowxml \
-L$(top_builddir)/src/http/client -lowhttpclient \
-L$(top_builddir)/src/http/common -lowhttpcommon \
-L$(top_builddir)/src/wql -lowwql \
-L$(top_builddir)/src/wql/common -lowwqlcommon \
-L$(top_builddir)/src/common -lopenwbem \
$(SSL_LIBS) $(Z_LIBS) \
$(BINLINKAPPENDFLAGS)

wqlTest1_LDFLAGS = \
$(CXXBINLINKFLAGS) \
-o wqlTest1$(EXEEXT)

wqlTest1_SOURCES = \
wqlTest1.cpp


#wqlTest2
wqlTest2_LDADD = \
-L$(top_builddir)/src/wql/common -lowwqlcommon \
-L$(top_builddir)/src/wql -lowwql \
-L$(top_builddir)/src/common -lopenwbem \
$(SSL_LIBS) \
$(BINLINKAPPENDFLAGS)

wqlTest2_LDFLAGS = \
$(CXXBINLINKFLAGS) \
-o wqlTest2$(EXEEXT)

wqlTest2_SOURCES = \
wqlTest2.cpp


#aclTest
aclTest_LDADD = \
-L$(top_builddir)/src/client -lowclient \
-L$(top_builddir)/src/xml -lowxml \
-L$(top_builddir)/src/http/client -lowhttpclient \
-L$(top_builddir)/src/http/common -lowhttpcommon \
-L$(top_builddir)/src/common -lopenwbem \
$(SSL_LIBS) $(Z_LIBS) \
$(BINLINKAPPENDFLAGS)

aclTest_LDFLAGS = \
$(CXXBINLINKFLAGS) \
-o aclTest$(EXEEXT)

aclTest_SOURCES = \
aclTest.cpp


#infiniteClient
infiniteClient_LDADD = \
-L$(top_builddir)/src/client -lowclient \
-L$(top_builddir)/src/http/client -lowhttpclient \
-L$(top_builddir)/src/http/common -lowhttpcommon \
-L$(top_builddir)/src/xml -lowxml \
-L$(top_builddir)/src/common -lopenwbem \
$(SSL_LIBS) $(Z_LIBS) \
$(BINLINKAPPENDFLAGS)

infiniteClient_LDFLAGS = \
$(CXXBINLINKFLAGS) \
$(SSL_LIBS) \
-o infiniteClient$(EXEEXT)

infiniteClient_SOURCES = \
InfiniteClient.cpp


#owcimclientcl
owcimclientcl_LDADD = \
-L$(top_builddir)/src/client -lowclient \
-L$(top_builddir)/src/http/client -lowhttpclient \
-L$(top_builddir)/src/http/common -lowhttpcommon \
-L$(top_builddir)/src/xml -lowxml \
-L$(top_builddir)/src/common -lopenwbem \
$(SSL_LIBS) $(Z_LIBS) \
$(BINLINKAPPENDFLAGS)

owcimclientcl_LDFLAGS = \
$(CXXBINLINKFLAGS) \
$(SSL_LIBS) \
-o owcimclientcl$(EXEEXT)

owcimclientcl_SOURCES = \
OW_CIMClientCL.cpp


#testinstprov
testinstprov_LDADD = \
-L$(top_builddir)/src/client -lowclient \
-L$(top_builddir)/src/http/client -lowhttpclient \
-L$(top_builddir)/src/http/common -lowhttpcommon \
-L$(top_builddir)/src/xml -lowxml \
-L$(top_builddir)/src/common -lopenwbem \
$(SSL_LIBS) $(Z_LIBS) \
$(BINLINKAPPENDFLAGS)

testinstprov_LDFLAGS = \
$(CXXBINLINKFLAGS) \
$(SSL_LIBS) \
-o testinstprov$(EXEEXT)

testinstprov_SOURCES = \
OW_InstProvTest.cpp


#fakeclient
fakeclient_LDADD = \
-L$(top_builddir)/src/client -lowclient \
-L$(top_builddir)/src/http/client -lowhttpclient \
-L$(top_builddir)/src/http/common -lowhttpcommon \
-L$(top_builddir)/src/xml -lowxml \
-L$(top_builddir)/src/common -lopenwbem \
$(SSL_LIBS) $(Z_LIBS) \
$(BINLINKAPPENDFLAGS)

fakeclient_LDFLAGS = \
$(CXXBINLINKFLAGS) \
$(SSL_LIBS) \
-o fakeclient$(EXEEXT)

fakeclient_SOURCES = \
fakeClient.cpp


#testCIMExceptions
testCIMExceptions_LDADD = \
-L$(top_builddir)/src/client -lowclient \
-L$(top_builddir)/src/http/client -lowhttpclient \
-L$(top_builddir)/src/http/common -lowhttpcommon \
-L$(top_builddir)/src/xml -lowxml \
-L$(top_builddir)/src/common -lopenwbem \
$(SSL_LIBS) $(Z_LIBS) \
$(BINLINKAPPENDFLAGS)

testCIMExceptions_LDFLAGS = \
$(CXXBINLINKFLAGS) \
-o testCIMExceptions$(EXEEXT)

testCIMExceptions_SOURCES = \
testCIMExceptions.cpp


#testNamespaces
testNamespaces_LDADD = \
-L$(top_builddir)/src/client -lowclient \
-L$(top_builddir)/src/http/client -lowhttpclient \
-L$(top_builddir)/src/http/common -lowhttpcommon \
-L$(top_builddir)/src/xml -lowxml \
-L$(top_builddir)/src/common -lopenwbem \
$(SSL_LIBS) $(Z_LIBS) \
$(BINLINKAPPENDFLAGS)

testNamespaces_LDFLAGS = \
$(CXXBINLINKFLAGS) \
-o testNamespaces$(EXEEXT)

testNamespaces_SOURCES = \
testNamespaces.cpp


#testMisc
testMisc_LDADD = \
-L$(top_builddir)/src/client -lowclient \
-L$(top_builddir)/src/http/client -lowhttpclient \
-L$(top_builddir)/src/http/common -lowhttpcommon \
-L$(top_builddir)/src/xml -lowxml \
-L$(top_builddir)/src/common -lopenwbem \
$(SSL_LIBS) $(Z_LIBS) \
$(BINLINKAPPENDFLAGS)

testMisc_LDFLAGS = \
$(CXXBINLINKFLAGS) \
-o testMisc$(EXEEXT)

testMisc_SOURCES = \
testMisc.cpp


#hammerClient
hammerClient_LDADD = \
-L$(top_builddir)/src/client -lowclient \
-L$(top_builddir)/src/http/client -lowhttpclient \
-L$(top_builddir)/src/http/common -lowhttpcommon \
-L$(top_builddir)/src/xml -lowxml \
-L$(top_builddir)/src/common -lopenwbem \
$(SSL_LIBS) $(Z_LIBS) \
$(BINLINKAPPENDFLAGS)

hammerClient_LDFLAGS = \
$(CXXBINLINKFLAGS) \
-o hammerClient$(EXEEXT)

hammerClient_SOURCES = \
hammerClient.cpp


#testSecondaryInstanceProviders
testSecondaryInstanceProviders_LDADD = \
-L$(top_builddir)/src/client -lowclient \
-L$(top_builddir)/src/http/client -lowhttpclient \
-L$(top_builddir)/src/http/common -lowhttpcommon \
-L$(top_builddir)/src/xml -lowxml \
-L$(top_builddir)/src/common -lopenwbem \
$(SSL_LIBS) $(Z_LIBS) \
$(BINLINKAPPENDFLAGS)

testSecondaryInstanceProviders_LDFLAGS = \
$(CXXBINLINKFLAGS) \
-o testSecondaryInstanceProviders$(EXEEXT)

testSecondaryInstanceProviders_SOURCES = \
testSecondaryInstanceProviders.cpp


#testLargeRequest
testLargeRequest_LDADD = \
-L$(top_builddir)/src/client -lowclient \
-L$(top_builddir)/src/http/client -lowhttpclient \
-L$(top_builddir)/src/http/common -lowhttpcommon \
-L$(top_builddir)/src/xml -lowxml \
-L$(top_builddir)/src/common -lopenwbem \
$(SSL_LIBS) $(Z_LIBS) \
$(BINLINKAPPENDFLAGS)

testLargeRequest_LDFLAGS = \
$(CXXBINLINKFLAGS) \
-o testLargeRequest$(EXEEXT)

testLargeRequest_SOURCES = \
testLargeRequest.cpp


#testClientTimeout
testClientTimeout_LDADD = \
-L$(top_builddir)/src/client -lowclient \
-L$(top_builddir)/src/http/client -lowhttpclient \
-L$(top_builddir)/src/http/common -lowhttpcommon \
-L$(top_builddir)/src/xml -lowxml \
-L$(top_builddir)/src/common -lopenwbem \
$(SSL_LIBS) $(Z_LIBS) \
$(BINLINKAPPENDFLAGS)

testClientTimeout_LDFLAGS = \
$(CXXBINLINKFLAGS) \
-o testClientTimeout$(EXEEXT)

testClientTimeout_SOURCES = \
testClientTimeout.cpp


#testEmbeddedCIMOM
testEmbeddedCIMOM_SOURCES = \
testEmbeddedCIMOM.cpp

testEmbeddedCIMOM_LDADD = \
-L$(top_builddir)/src/cimom/embedded -lowembeddedcimom \
-L$(top_builddir)/src/repositories/hdb -lowrepositoryhdb \
-L$(top_builddir)/src/cimom/server -lowserver \
-L$(top_builddir)/src/providerifcs/cpp -lowcppprovifc \
-L$(top_builddir)/src/cimom/common -lowcimomcommon \
-L$(top_builddir)/src/provider -lowprovider \
-L$(top_builddir)/src/common -lopenwbem \
-L$(top_builddir)/db/db -lowdb \
$(SSL_LIBS) $(BINLINKAPPENDFLAGS)

testEmbeddedCIMOM_LDFLAGS = \
$(CXXBINLINKFLAGS) \
-o testEmbeddedCIMOM$(EXEEXT)


#socketCat
socketCat_LDADD = \
-L$(top_builddir)/src/common -lopenwbem \
$(SSL_LIBS) $(Z_LIBS) \
$(BINLINKAPPENDFLAGS)

socketCat_LDFLAGS = \
$(CXXBINLINKFLAGS) \
-o socketCat$(EXEEXT)

socketCat_SOURCES = \
socketCat.cpp

INCLUDES = \
-I$(top_srcdir)/src/ifcs \
-I$(top_srcdir)/src/cimom/embedded \
-I$(top_srcdir)/src/cimom/common \
-I$(top_srcdir)/src/cimom/server \
-I$(top_srcdir)/src/common \
-I$(top_srcdir)/src/common/socket \
-I$(top_srcdir)/src/cim \
-I$(top_srcdir)/src/xml \
-I$(top_srcdir)/src/http/common \
-I$(top_srcdir)/src/http/client \
-I$(top_srcdir)/src/client \
-I$(top_srcdir)/src/cimxmllistener \
-I$(top_srcdir)/src/wql \
-I$(top_srcdir)/src/provideragent \
-I$(top_srcdir)/src/providerifcs/cpp \
-I$(top_srcdir)/src/services/http \
-I$(top_srcdir)/src/provider \
-I$(top_srcdir)/src/requesthandlers/cimxml \
-I$(top_srcdir)/src/wql/common

all: all-recursive

.SUFFIXES:
.SUFFIXES: .cpp .o .obj
$(srcdir)/Makefile.in: # $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  test/acceptance/progs/Makefile'; \
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --foreign  test/acceptance/progs/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure: # $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4): # $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

clean-checkPROGRAMS:
	-test -z "$(check_PROGRAMS)" || rm -f $(check_PROGRAMS)
CIMOMLocator$(EXEEXT): $(CIMOMLocator_OBJECTS) $(CIMOMLocator_DEPENDENCIES) 
	@rm -f CIMOMLocator$(EXEEXT)
	$(CXXLINK) $(CIMOMLocator_LDFLAGS) $(CIMOMLocator_OBJECTS) $(CIMOMLocator_LDADD) $(LIBS)
aclTest$(EXEEXT): $(aclTest_OBJECTS) $(aclTest_DEPENDENCIES) 
	@rm -f aclTest$(EXEEXT)
	$(CXXLINK) $(aclTest_LDFLAGS) $(aclTest_OBJECTS) $(aclTest_LDADD) $(LIBS)
cimlistener$(EXEEXT): $(cimlistener_OBJECTS) $(cimlistener_DEPENDENCIES) 
	@rm -f cimlistener$(EXEEXT)
	$(CXXLINK) $(cimlistener_LDFLAGS) $(cimlistener_OBJECTS) $(cimlistener_LDADD) $(LIBS)
fakeclient$(EXEEXT): $(fakeclient_OBJECTS) $(fakeclient_DEPENDENCIES) 
	@rm -f fakeclient$(EXEEXT)
	$(CXXLINK) $(fakeclient_LDFLAGS) $(fakeclient_OBJECTS) $(fakeclient_LDADD) $(LIBS)
hammerClient$(EXEEXT): $(hammerClient_OBJECTS) $(hammerClient_DEPENDENCIES) 
	@rm -f hammerClient$(EXEEXT)
	$(CXXLINK) $(hammerClient_LDFLAGS) $(hammerClient_OBJECTS) $(hammerClient_LDADD) $(LIBS)
infiniteClient$(EXEEXT): $(infiniteClient_OBJECTS) $(infiniteClient_DEPENDENCIES) 
	@rm -f infiniteClient$(EXEEXT)
	$(CXXLINK) $(infiniteClient_LDFLAGS) $(infiniteClient_OBJECTS) $(infiniteClient_LDADD) $(LIBS)
owcimclientcl$(EXEEXT): $(owcimclientcl_OBJECTS) $(owcimclientcl_DEPENDENCIES) 
	@rm -f owcimclientcl$(EXEEXT)
	$(CXXLINK) $(owcimclientcl_LDFLAGS) $(owcimclientcl_OBJECTS) $(owcimclientcl_LDADD) $(LIBS)
socketCat$(EXEEXT): $(socketCat_OBJECTS) $(socketCat_DEPENDENCIES) 
	@rm -f socketCat$(EXEEXT)
	$(CXXLINK) $(socketCat_LDFLAGS) $(socketCat_OBJECTS) $(socketCat_LDADD) $(LIBS)
testCIMExceptions$(EXEEXT): $(testCIMExceptions_OBJECTS) $(testCIMExceptions_DEPENDENCIES) 
	@rm -f testCIMExceptions$(EXEEXT)
	$(CXXLINK) $(testCIMExceptions_LDFLAGS) $(testCIMExceptions_OBJECTS) $(testCIMExceptions_LDADD) $(LIBS)
testClientTimeout$(EXEEXT): $(testClientTimeout_OBJECTS) $(testClientTimeout_DEPENDENCIES) 
	@rm -f testClientTimeout$(EXEEXT)
	$(CXXLINK) $(testClientTimeout_LDFLAGS) $(testClientTimeout_OBJECTS) $(testClientTimeout_LDADD) $(LIBS)
testEmbeddedCIMOM$(EXEEXT): $(testEmbeddedCIMOM_OBJECTS) $(testEmbeddedCIMOM_DEPENDENCIES) 
	@rm -f testEmbeddedCIMOM$(EXEEXT)
	$(CXXLINK) $(testEmbeddedCIMOM_LDFLAGS) $(testEmbeddedCIMOM_OBJECTS) $(testEmbeddedCIMOM_LDADD) $(LIBS)
testLargeRequest$(EXEEXT): $(testLargeRequest_OBJECTS) $(testLargeRequest_DEPENDENCIES) 
	@rm -f testLargeRequest$(EXEEXT)
	$(CXXLINK) $(testLargeRequest_LDFLAGS) $(testLargeRequest_OBJECTS) $(testLargeRequest_LDADD) $(LIBS)
testMisc$(EXEEXT): $(testMisc_OBJECTS) $(testMisc_DEPENDENCIES) 
	@rm -f testMisc$(EXEEXT)
	$(CXXLINK) $(testMisc_LDFLAGS) $(testMisc_OBJECTS) $(testMisc_LDADD) $(LIBS)
testNamespaces$(EXEEXT): $(testNamespaces_OBJECTS) $(testNamespaces_DEPENDENCIES) 
	@rm -f testNamespaces$(EXEEXT)
	$(CXXLINK) $(testNamespaces_LDFLAGS) $(testNamespaces_OBJECTS) $(testNamespaces_LDADD) $(LIBS)
testProviderAgent$(EXEEXT): $(testProviderAgent_OBJECTS) $(testProviderAgent_DEPENDENCIES) 
	@rm -f testProviderAgent$(EXEEXT)
	$(CXXLINK) $(testProviderAgent_LDFLAGS) $(testProviderAgent_OBJECTS) $(testProviderAgent_LDADD) $(LIBS)
testSecondaryInstanceProviders$(EXEEXT): $(testSecondaryInstanceProviders_OBJECTS) $(testSecondaryInstanceProviders_DEPENDENCIES) 
	@rm -f testSecondaryInstanceProviders$(EXEEXT)
	$(CXXLINK) $(testSecondaryInstanceProviders_LDFLAGS) $(testSecondaryInstanceProviders_OBJECTS) $(testSecondaryInstanceProviders_LDADD) $(LIBS)
testinstprov$(EXEEXT): $(testinstprov_OBJECTS) $(testinstprov_DEPENDENCIES) 
	@rm -f testinstprov$(EXEEXT)
	$(CXXLINK) $(testinstprov_LDFLAGS) $(testinstprov_OBJECTS) $(testinstprov_LDADD) $(LIBS)
wqlTest1$(EXEEXT): $(wqlTest1_OBJECTS) $(wqlTest1_DEPENDENCIES) 
	@rm -f wqlTest1$(EXEEXT)
	$(CXXLINK) $(wqlTest1_LDFLAGS) $(wqlTest1_OBJECTS) $(wqlTest1_LDADD) $(LIBS)
wqlTest2$(EXEEXT): $(wqlTest2_OBJECTS) $(wqlTest2_DEPENDENCIES) 
	@rm -f wqlTest2$(EXEEXT)
	$(CXXLINK) $(wqlTest2_LDFLAGS) $(wqlTest2_OBJECTS) $(wqlTest2_LDADD) $(LIBS)

mostlyclean-compile:
	-rm -f *.$(OBJEXT)

distclean-compile:
	-rm -f *.tab.c

include ./$(DEPDIR)/CIMOMLocator.Po
include ./$(DEPDIR)/InfiniteClient.Po
include ./$(DEPDIR)/OW_CIMClientCL.Po
include ./$(DEPDIR)/OW_InstProvTest.Po
include ./$(DEPDIR)/aclTest.Po
include ./$(DEPDIR)/cimListenerTest.Po
include ./$(DEPDIR)/fakeClient.Po
include ./$(DEPDIR)/hammerClient.Po
include ./$(DEPDIR)/socketCat.Po
include ./$(DEPDIR)/testCIMExceptions.Po
include ./$(DEPDIR)/testClientTimeout.Po
include ./$(DEPDIR)/testEmbeddedCIMOM.Po
include ./$(DEPDIR)/testLargeRequest.Po
include ./$(DEPDIR)/testMisc.Po
include ./$(DEPDIR)/testNamespaces.Po
include ./$(DEPDIR)/testProviderAgent.Po
include ./$(DEPDIR)/testSecondaryInstanceProviders.Po
include ./$(DEPDIR)/wqlTest1.Po
include ./$(DEPDIR)/wqlTest2.Po

.cpp.o:
	if $(CXXCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
#	source='$<' object='$@' libtool=no \
#	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) \
#	$(CXXCOMPILE) -c -o $@ $<

.cpp.obj:
	if $(CXXCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ `$(CYGPATH_W) '$<'`; \
	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
#	source='$<' object='$@' libtool=no \
#	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) \
#	$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
uninstall-info-am:

# This directory's subdirectories are mostly independent; you can cd
# into them and run `make' without going through this Makefile.
# To change the values of `make' variables: instead of editing Makefiles,
# (1) if the variable is set in `config.status', edit `config.status'
#     (which will cause the Makefiles to be regenerated when you run `make');
# (2) otherwise, pass the desired values on the `make' command line.
$(RECURSIVE_TARGETS):
	@failcom='exit 1'; \
	for f in x $$MAKEFLAGS; do \
	  case $$f in \
	    *=* | --[!k]*);; \
	    *k*) failcom='fail=yes';; \
	  esac; \
	done; \
	dot_seen=no; \
	target=`echo $@ | sed s/-recursive//`; \
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  echo "Making $$target in $$subdir"; \
	  if test "$$subdir" = "."; then \
	    dot_seen=yes; \
	    local_target="$$target-am"; \
	  else \
	    local_target="$$target"; \
	  fi; \
	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
	  || eval $$failcom; \
	done; \
	if test "$$dot_seen" = "no"; then \
	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
	fi; test -z "$$fail"

mostlyclean-recursive clean-recursive distclean-recursive \
maintainer-clean-recursive:
	@failcom='exit 1'; \
	for f in x $$MAKEFLAGS; do \
	  case $$f in \
	    *=* | --[!k]*);; \
	    *k*) failcom='fail=yes';; \
	  esac; \
	done; \
	dot_seen=no; \
	case "$@" in \
	  distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
	  *) list='$(SUBDIRS)' ;; \
	esac; \
	rev=''; for subdir in $$list; do \
	  if test "$$subdir" = "."; then :; else \
	    rev="$$subdir $$rev"; \
	  fi; \
	done; \
	rev="$$rev ."; \
	target=`echo $@ | sed s/-recursive//`; \
	for subdir in $$rev; do \
	  echo "Making $$target in $$subdir"; \
	  if test "$$subdir" = "."; then \
	    local_target="$$target-am"; \
	  else \
	    local_target="$$target"; \
	  fi; \
	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
	  || eval $$failcom; \
	done && test -z "$$fail"
tags-recursive:
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
	done
ctags-recursive:
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
	done

ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	mkid -fID $$unique
tags: TAGS

TAGS: tags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
	  include_option=--etags-include; \
	  empty_fix=.; \
	else \
	  include_option=--include; \
	  empty_fix=; \
	fi; \
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  if test "$$subdir" = .; then :; else \
	    test ! -f $$subdir/TAGS || \
	      tags="$$tags $$include_option=$$here/$$subdir/TAGS"; \
	  fi; \
	done; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
	  test -n "$$unique" || unique=$$empty_fix; \
	  $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	    $$tags $$unique; \
	fi
ctags: CTAGS
CTAGS: ctags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(CTAGS_ARGS)$$tags$$unique" \
	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
	     $$tags $$unique

GTAGS:
	here=`$(am__cd) $(top_builddir) && pwd` \
	  && cd $(top_srcdir) \
	  && gtags -i $(GTAGS_ARGS) $$here

distclean-tags:
	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags

distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
	list='$(DISTFILES)'; for file in $$list; do \
	  case $$file in \
	    $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
	    $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
	  esac; \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
	  if test "$$dir" != "$$file" && test "$$dir" != "."; then \
	    dir="/$$dir"; \
	    $(mkdir_p) "$(distdir)$$dir"; \
	  else \
	    dir=''; \
	  fi; \
	  if test -d $$d/$$file; then \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
	    fi; \
	    cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
	  else \
	    test -f $(distdir)/$$file \
	    || cp -p $$d/$$file $(distdir)/$$file \
	    || exit 1; \
	  fi; \
	done
	list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
	  if test "$$subdir" = .; then :; else \
	    test -d "$(distdir)/$$subdir" \
	    || $(mkdir_p) "$(distdir)/$$subdir" \
	    || exit 1; \
	    distdir=`$(am__cd) $(distdir) && pwd`; \
	    top_distdir=`$(am__cd) $(top_distdir) && pwd`; \
	    (cd $$subdir && \
	      $(MAKE) $(AM_MAKEFLAGS) \
	        top_distdir="$$top_distdir" \
	        distdir="$$distdir/$$subdir" \
	        distdir) \
	      || exit 1; \
	  fi; \
	done
check-am: all-am
	$(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
check: check-recursive
all-am: Makefile
installdirs: installdirs-recursive
installdirs-am:
install: install-recursive
install-exec: install-exec-recursive
install-data: install-data-recursive
uninstall: uninstall-recursive

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-recursive
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	  `test -z '$(STRIP)' || \
	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:

clean-generic:

distclean-generic:
	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
clean: clean-recursive

clean-am: clean-checkPROGRAMS clean-generic mostlyclean-am

distclean: distclean-recursive
	-rm -rf ./$(DEPDIR)
	-rm -f Makefile
distclean-am: clean-am distclean-compile distclean-generic \
	distclean-tags

dvi: dvi-recursive

dvi-am:

html: html-recursive

info: info-recursive

info-am:

install-data-am:

install-exec-am:

install-info: install-info-recursive

install-man:

installcheck-am:

maintainer-clean: maintainer-clean-recursive
	-rm -rf ./$(DEPDIR)
	-rm -f Makefile
maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-recursive

mostlyclean-am: mostlyclean-compile mostlyclean-generic

pdf: pdf-recursive

pdf-am:

ps: ps-recursive

ps-am:

uninstall-am: uninstall-info-am

uninstall-info: uninstall-info-recursive

.PHONY: $(RECURSIVE_TARGETS) CTAGS GTAGS all all-am check check-am \
	clean clean-checkPROGRAMS clean-generic clean-recursive ctags \
	ctags-recursive distclean distclean-compile distclean-generic \
	distclean-recursive distclean-tags distdir dvi dvi-am html \
	html-am info info-am install install-am install-data \
	install-data-am install-exec install-exec-am install-info \
	install-info-am install-man install-strip installcheck \
	installcheck-am installdirs installdirs-am maintainer-clean \
	maintainer-clean-generic maintainer-clean-recursive \
	mostlyclean mostlyclean-compile mostlyclean-generic \
	mostlyclean-recursive pdf pdf-am ps ps-am tags tags-recursive \
	uninstall uninstall-am uninstall-info-am


#
# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:
